Linux polon 4.19.0-27-amd64 #1 SMP Debian 4.19.316-1 (2024-06-25) x86_64
Apache/2.4.59 (Debian)
: 10.2.73.233 | : 216.73.216.105
Cant Read [ /etc/named.conf ]
5.6.40-64+0~20230107.71+debian10~1.gbp673146
ifk
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
a2disconf
15.89
KB
-rwxr-xr-x
a2dismod
15.89
KB
-rwxr-xr-x
a2dissite
15.89
KB
-rwxr-xr-x
a2enconf
15.89
KB
-rwxr-xr-x
a2enmod
15.89
KB
-rwxr-xr-x
a2ensite
15.89
KB
-rwxr-xr-x
a2query
9.64
KB
-rwxr-xr-x
aa-remove-unknown
3
KB
-rwxr-xr-x
aa-status
8.63
KB
-rwxr-xr-x
aa-teardown
139
B
-rwxr-xr-x
accessdb
14.23
KB
-rwxr-xr-x
acpid
54.71
KB
-rwxr-xr-x
add-shell
860
B
-rwxr-xr-x
addgnupghome
3
KB
-rwxr-xr-x
addgroup
33.71
KB
-rwxr-xr-x
adduser
33.71
KB
-rwxr-xr-x
apache2
707.95
KB
-rwxr-xr-x
apache2ctl
7.06
KB
-rwxr-xr-x
apachectl
7.06
KB
-rwxr-xr-x
apparmor_status
8.63
KB
-rwxr-xr-x
applygnupgdefaults
2.17
KB
-rwxr-xr-x
arp
65.93
KB
-rwxr-xr-x
arpd
75.13
KB
-rwxr-xr-x
arptables
217.42
KB
-rwxr-xr-x
arptables-nft
217.42
KB
-rwxr-xr-x
arptables-nft-restore
217.42
KB
-rwxr-xr-x
arptables-nft-save
217.42
KB
-rwxr-xr-x
arptables-restore
217.42
KB
-rwxr-xr-x
arptables-save
217.42
KB
-rwxr-xr-x
aspell-autobuildhash
13.22
KB
-rwxr-xr-x
atd
30.01
KB
-rwxr-xr-x
biosdecode
22.9
KB
-rwxr-xr-x
blkmapd
30.53
KB
-rwxr-xr-x
check_forensic
952
B
-rwxr-xr-x
chgpasswd
57.83
KB
-rwxr-xr-x
chmem
58.08
KB
-rwxr-xr-x
chpasswd
53.86
KB
-rwxr-xr-x
chroot
42.75
KB
-rwxr-xr-x
cpgr
55.96
KB
-rwxr-xr-x
cppw
55.96
KB
-rwxr-xr-x
cron
54.48
KB
-rwxr-xr-x
dbconfig-generate-include
12.37
KB
-rwxr-xr-x
dbconfig-load-include
5.57
KB
-rwxr-xr-x
delgroup
15.41
KB
-rwxr-xr-x
deluser
15.41
KB
-rwxr-xr-x
dkms
138.51
KB
-rwxr-xr-x
dmidecode
114.7
KB
-rwxr-xr-x
dpkg-preconfigure
3.58
KB
-rwxr-xr-x
dpkg-reconfigure
4.34
KB
-rwxr-xr-x
e2freefrag
14.07
KB
-rwxr-xr-x
e4crypt
26.07
KB
-rwxr-xr-x
e4defrag
33.99
KB
-rwxr-xr-x
ebtables
217.42
KB
-rwxr-xr-x
ebtables-nft
217.42
KB
-rwxr-xr-x
ebtables-nft-restore
217.42
KB
-rwxr-xr-x
ebtables-nft-save
217.42
KB
-rwxr-xr-x
ebtables-restore
217.42
KB
-rwxr-xr-x
ebtables-save
217.42
KB
-rwxr-xr-x
exicyclog
11.03
KB
-rwxr-xr-x
exigrep
10.25
KB
-rwxr-xr-x
exim
1.13
MB
-rwsr-xr-x
exim4
1.13
MB
-rwsr-xr-x
exim_checkaccess
4.74
KB
-rwxr-xr-x
exim_convert4r4
72.76
KB
-rwxr-xr-x
exim_dbmbuild
18
KB
-rwxr-xr-x
exim_dumpdb
22.01
KB
-rwxr-xr-x
exim_fixdb
26.01
KB
-rwxr-xr-x
exim_lock
17.99
KB
-rwxr-xr-x
exim_tidydb
22.01
KB
-rwxr-xr-x
eximstats
148.03
KB
-rwxr-xr-x
exinext
8.08
KB
-rwxr-xr-x
exipick
58.93
KB
-rwxr-xr-x
exiqgrep
5.1
KB
-rwxr-xr-x
exiqsumm
5.04
KB
-rwxr-xr-x
exiwhat
4.34
KB
-rwxr-xr-x
fdformat
34.08
KB
-rwxr-xr-x
filefrag
18.02
KB
-rwxr-xr-x
firewalld
6.86
KB
-rwxr-xr-x
genl
79.05
KB
-rwxr-xr-x
groupadd
65.89
KB
-rwxr-xr-x
groupdel
57.68
KB
-rwxr-xr-x
groupmems
57.87
KB
-rwxr-xr-x
groupmod
72.18
KB
-rwxr-xr-x
grpck
57.8
KB
-rwxr-xr-x
grpconv
53.68
KB
-rwxr-xr-x
grpunconv
53.68
KB
-rwxr-xr-x
grub-bios-setup
926.37
KB
-rwxr-xr-x
grub-install
1.13
MB
-rwxr-xr-x
grub-macbless
914.02
KB
-rwxr-xr-x
grub-mkconfig
8.42
KB
-rwxr-xr-x
grub-mkdevicemap
212.49
KB
-rwxr-xr-x
grub-probe
926.34
KB
-rwxr-xr-x
grub-reboot
4.73
KB
-rwxr-xr-x
grub-set-default
3.47
KB
-rwxr-xr-x
httxt2dbm
13.99
KB
-rwxr-xr-x
iconvconfig
30.66
KB
-rwxr-xr-x
iftop
66.65
KB
-rwxr-xr-x
invoke-rc.d
16.64
KB
-rwxr-xr-x
ip6tables
100.68
KB
-rwxr-xr-x
ip6tables-apply
6.89
KB
-rwxr-xr-x
ip6tables-legacy
100.68
KB
-rwxr-xr-x
ip6tables-legacy-restore
100.68
KB
-rwxr-xr-x
ip6tables-legacy-save
100.68
KB
-rwxr-xr-x
ip6tables-nft
217.42
KB
-rwxr-xr-x
ip6tables-nft-restore
217.42
KB
-rwxr-xr-x
ip6tables-nft-save
217.42
KB
-rwxr-xr-x
ip6tables-restore
100.68
KB
-rwxr-xr-x
ip6tables-restore-translate
217.42
KB
-rwxr-xr-x
ip6tables-save
100.68
KB
-rwxr-xr-x
ip6tables-translate
217.42
KB
-rwxr-xr-x
iptables
100.68
KB
-rwxr-xr-x
iptables-apply
6.89
KB
-rwxr-xr-x
iptables-legacy
100.68
KB
-rwxr-xr-x
iptables-legacy-restore
100.68
KB
-rwxr-xr-x
iptables-legacy-save
100.68
KB
-rwxr-xr-x
iptables-nft
217.42
KB
-rwxr-xr-x
iptables-nft-restore
217.42
KB
-rwxr-xr-x
iptables-nft-save
217.42
KB
-rwxr-xr-x
iptables-restore
100.68
KB
-rwxr-xr-x
iptables-restore-translate
217.42
KB
-rwxr-xr-x
iptables-save
100.68
KB
-rwxr-xr-x
iptables-translate
217.42
KB
-rwxr-xr-x
iptaccount
10.3
KB
-rwxr-xr-x
iptraf-ng
160.01
KB
-rwxr-xr-x
irqbalance
63.41
KB
-rwxr-xr-x
irqbalance-ui
34.67
KB
-rwxr-xr-x
ispell-autobuildhash
15.39
KB
-rwxr-xr-x
ldattach
30.08
KB
-rwxr-xr-x
locale-gen
1.5
KB
-rwxr-xr-x
logrotate
82.09
KB
-rwxr-xr-x
make-ssl-cert
3.78
KB
-rwxr-xr-x
mkinitramfs
11.13
KB
-rwxr-xr-x
mklost+found
13.99
KB
-rwxr-xr-x
mountstats
35.03
KB
-rwxr-xr-x
mysqld
19.99
MB
-rwxr-xr-x
netfilter-persistent
1.04
KB
-rwxr-xr-x
nethogs
58.2
KB
-rwxr-xr-x
newusers
86.39
KB
-rwxr-xr-x
nfacct
21.99
KB
-rwxr-xr-x
nfnl_osf
17.99
KB
-rwxr-xr-x
nfsidmap
22.59
KB
-rwxr-xr-x
nfsiostat
23.35
KB
-rwxr-xr-x
nfsstat
33.26
KB
-rwxr-xr-x
nft
18.07
KB
-rwxr-xr-x
nologin
13.99
KB
-rwxr-xr-x
ownership
14.13
KB
-rwxr-xr-x
pam-auth-update
19.78
KB
-rwxr-xr-x
pam_getenv
2.82
KB
-rwxr-xr-x
pam_timestamp_check
14.3
KB
-rwxr-xr-x
paperconfig
4.07
KB
-rwxr-xr-x
php-fpm5.6
4.35
MB
-rwxr-xr-x
php-fpm7.0
4.28
MB
-rwxr-xr-x
php-fpm7.2
4.76
MB
-rwxr-xr-x
php-fpm7.3
4.56
MB
-rwxr-xr-x
php-fpm7.4
4.52
MB
-rwxr-xr-x
php-fpm8.2
5.34
MB
-rwxr-xr-x
php5dismod
6.21
KB
-rwxr-xr-x
php5enmod
6.21
KB
-rwxr-xr-x
php5query
5.05
KB
-rwxr-xr-x
phpdismod
7.11
KB
-rwxr-xr-x
phpenmod
7.11
KB
-rwxr-xr-x
phpquery
6.24
KB
-rwxr-xr-x
pma-configure
299
B
-rwxr-xr-x
pma-secure
157
B
-rwxr-xr-x
pwck
53.8
KB
-rwxr-xr-x
pwconv
49.7
KB
-rwxr-xr-x
pwunconv
49.68
KB
-rwxr-xr-x
readprofile
22.11
KB
-rwxr-xr-x
remove-default-ispell
2.86
KB
-rwxr-xr-x
remove-default-wordlist
2.86
KB
-rwxr-xr-x
remove-shell
904
B
-rwxr-xr-x
rmail
1.13
MB
-rwsr-xr-x
rmt
58.96
KB
-rwxr-xr-x
rmt-tar
58.96
KB
-rwxr-xr-x
rpc.gssd
75.78
KB
-rwxr-xr-x
rpc.idmapd
39.16
KB
-rwxr-xr-x
rpc.svcgssd
34.95
KB
-rwxr-xr-x
rpcdebug
18.33
KB
-rwxr-xr-x
rpcinfo
34.16
KB
-rwxr-xr-x
rsmtp
1.13
MB
-rwsr-xr-x
rsyslogd
685.64
KB
-rwxr-xr-x
rtcwake
46.08
KB
-rwxr-xr-x
runq
1.13
MB
-rwsr-xr-x
rvnamed-ng
14.34
KB
-rwxr-xr-x
saned
54.28
KB
-rwxr-xr-x
select-default-ispell
3.23
KB
-rwxr-xr-x
select-default-wordlist
3.21
KB
-rwxr-xr-x
sendmail
1.13
MB
-rwsr-xr-x
service
9.05
KB
-rwxr-xr-x
setvesablank
14.3
KB
-rwxr-xr-x
split-logfile
2.36
KB
-rwxr-xr-x
sshd
792.41
KB
-rwxr-xr-x
start-statd
838
B
-rwxr-xr-x
syslog2eximlog
1.41
KB
-rwxr-xr-x
tarcat
936
B
-rwxr-xr-x
tcptraceroute
1.56
KB
-rwxr-xr-x
tcptraceroute.db
1.56
KB
-rwxr-xr-x
traceroute
67.16
KB
-rwxr-xr-x
tzconfig
106
B
-rwxr-xr-x
update-ca-certificates
5.18
KB
-rwxr-xr-x
update-default-aspell
1
KB
-rwxr-xr-x
update-default-ispell
9.68
KB
-rwxr-xr-x
update-default-wordlist
7.5
KB
-rwxr-xr-x
update-dictcommon-aspell
1
KB
-rwxr-xr-x
update-dictcommon-hunspell
782
B
-rwxr-xr-x
update-exim4.conf
14.72
KB
-rwxr-xr-x
update-exim4.conf.template
3.33
KB
-rwxr-xr-x
update-exim4defaults
8.2
KB
-rwxr-xr-x
update-fmtutil
9.58
KB
-rwxr-xr-x
update-grub
64
B
-rwxr-xr-x
update-grub2
64
B
-rwxr-xr-x
update-gsfontmap
470
B
-rwxr-xr-x
update-icon-caches
596
B
-rwxr-xr-x
update-inetd
5.83
KB
-rwxr-xr-x
update-info-dir
1.66
KB
-rwxr-xr-x
update-initramfs
7.16
KB
-rwxr-xr-x
update-java-alternatives
3.09
KB
-rwxr-xr-x
update-language
9.37
KB
-rwxr-xr-x
update-language-dat
9.37
KB
-rwxr-xr-x
update-language-def
9.37
KB
-rwxr-xr-x
update-language-lua
9.37
KB
-rwxr-xr-x
update-locale
2.99
KB
-rwxr-xr-x
update-mime
8.84
KB
-rwxr-xr-x
update-passwd
34.41
KB
-rwxr-xr-x
update-pciids
2.84
KB
-rwxr-xr-x
update-python-modules
19.33
KB
-rwxr-xr-x
update-rc.d
16.76
KB
-rwxr-xr-x
update-texmf
2.6
KB
-rwxr-xr-x
update-texmf-config
1.5
KB
-rwxr-xr-x
update-tl-stacked-conffile
9.58
KB
-rwxr-xr-x
update-updmap
9.58
KB
-rwxr-xr-x
upgrade-from-grub-legacy
1.56
KB
-rwxr-xr-x
useradd
127.25
KB
-rwxr-xr-x
userdel
90.45
KB
-rwxr-xr-x
usermod
123.06
KB
-rwxr-xr-x
validlocale
1.73
KB
-rwxr-xr-x
vcstime
14.18
KB
-rwxr-xr-x
vigr
60.18
KB
-rwxr-xr-x
vipw
60.18
KB
-rwxr-xr-x
visudo
205.79
KB
-rwxr-xr-x
vpddecode
14.27
KB
-rwxr-xr-x
xtables-legacy-multi
100.68
KB
-rwxr-xr-x
xtables-monitor
217.42
KB
-rwxr-xr-x
xtables-nft-multi
217.42
KB
-rwxr-xr-x
zic
54.55
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : mkinitramfs
#!/bin/sh umask 0022 export PATH='/usr/bin:/sbin:/bin' # Defaults keep="n" CONFDIR="/etc/initramfs-tools" verbose="n" # Will be updated by busybox's conf hook, if present BUSYBOXDIR= export BUSYBOXDIR usage() { cat << EOF Usage: mkinitramfs [option]... -o outfile [version] Options: -c compress Override COMPRESS setting in initramfs.conf. -d confdir Specify an alternative configuration directory. -k Keep temporary directory used to make the image. -o outfile Write to outfile. -r root Override ROOT setting in initramfs.conf. See mkinitramfs(8) for further details. EOF } usage_error() { usage >&2 exit 2 } OPTIONS=$(getopt -o c:d:hko:r:v --long help -n "$0" -- "$@") || usage_error eval set -- "$OPTIONS" while true; do case "$1" in -c) compress="$2" shift 2 ;; -d) CONFDIR="$2" shift 2 if [ ! -d "${CONFDIR}" ]; then echo "${0}: ${CONFDIR}: Not a directory" >&2 exit 1 fi ;; -h|--help) usage exit 0 ;; -o) outfile="$2" shift 2 ;; -k) keep="y" shift ;; -r) ROOT="$2" shift 2 ;; -v) verbose="y" shift ;; --) shift break ;; *) echo "Internal error!" >&2 exit 1 ;; esac done # For dependency ordered mkinitramfs hook scripts. . /usr/share/initramfs-tools/scripts/functions . /usr/share/initramfs-tools/hook-functions . "${CONFDIR}/initramfs.conf" EXTRA_CONF='' maybe_add_conf() { if [ -e "$1" ] && \ basename "$1" \ | grep '^[[:alnum:]][[:alnum:]\._-]*$' \ | grep -qv '\.dpkg-.*$'; then if [ -d "$1" ]; then echo "W: $1 is a directory instead of file" >&2 else EXTRA_CONF="${EXTRA_CONF} $1" . "$1" fi fi } for i in /usr/share/initramfs-tools/conf.d/*; do # Configuration files in /etc mask those in /usr/share if ! [ -e "${CONFDIR}"/conf.d/"$(basename "${i}")" ]; then maybe_add_conf "${i}" fi done for i in "${CONFDIR}"/conf.d/*; do maybe_add_conf "${i}" done # source package confs for i in /usr/share/initramfs-tools/conf-hooks.d/*; do if [ -d "${i}" ]; then echo "W: ${i} is a directory instead of file." >&2 elif [ -e "${i}" ]; then . "${i}" fi done # Check busybox dependency if [ "${BUSYBOX}" = "y" ] && [ -z "${BUSYBOXDIR}" ]; then echo >&2 "E: busybox or busybox-static, version 1:1.22.0-17~ or later, is required but not installed" exit 1 fi if [ -n "${UMASK:-}" ]; then umask "${UMASK}" fi if [ -z "${outfile}" ]; then usage_error fi touch "$outfile" outfile="$(readlink -f "$outfile")" # And by "version" we really mean path to kernel modules # This is braindead, and exists to preserve the interface with mkinitrd if [ ${#} -ne 1 ]; then version="$(uname -r)" else version="${1}" fi case "${version}" in /lib/modules/*/[!/]*) ;; /lib/modules/[!/]*) version="${version#/lib/modules/}" version="${version%%/*}" ;; esac case "${version}" in */*) echo "$PROG: ${version} is not a valid kernel version" >&2 exit 2 ;; esac if [ -z "${compress:-}" ]; then compress=${COMPRESS?} fi unset COMPRESS if ! command -v "${compress}" >/dev/null 2>&1; then compress=gzip [ "${verbose}" = y ] && \ echo "No ${compress} in ${PATH}, using gzip" fi case "${compress}" in gzip) # If we're doing a reproducible build, use gzip -n if [ -n "${SOURCE_DATE_EPOCH}" ]; then compress="gzip -n" # Otherwise, substitute pigz if it's available elif command -v pigz >/dev/null; then compress=pigz fi ;; lz4) compress="lz4 -9 -l" ;; xz) compress="xz --check=crc32" ;; bzip2|lzma|lzop) # no parameters needed ;; *) echo "W: Unknown compression command ${compress}" >&2 ;; esac if [ -d "${outfile}" ]; then echo "${outfile} is a directory" >&2 exit 1 fi MODULESDIR="/lib/modules/${version}" if [ ! -e "${MODULESDIR}" ]; then echo "W: missing ${MODULESDIR}" >&2 echo "W: Ensure all necessary drivers are built into the linux image!" >&2 fi if [ ! -e "${MODULESDIR}/modules.dep" ]; then depmod "${version}" fi # Prepare to clean up temporary files on exit DESTDIR= __TMPCPIOGZ= __TMPEARLYCPIO= clean_on_exit() { if [ "${keep}" = "y" ]; then echo "Working files in ${DESTDIR:-<not yet created>}, early initramfs in ${__TMPEARLYCPIO:-<not yet created>} and overlay in ${__TMPCPIOGZ:-<not yet created>}" else for path in "${DESTDIR}" "${__TMPCPIOGZ}" "${__TMPEARLYCPIO}"; do test -z "${path}" || rm -rf "${path}" done fi } trap clean_on_exit EXIT trap "exit 1" INT TERM # makes the EXIT trap effective even when killed # Create temporary directory and files for initramfs contents [ -n "${TMPDIR}" ] && [ ! -w "${TMPDIR}" ] && unset TMPDIR DESTDIR="$(mktemp -d "${TMPDIR:-/var/tmp}/mkinitramfs_XXXXXX")" || exit 1 chmod 755 "${DESTDIR}" __TMPCPIOGZ="$(mktemp "${TMPDIR:-/var/tmp}/mkinitramfs-OL_XXXXXX")" || exit 1 __TMPEARLYCPIO="$(mktemp "${TMPDIR:-/var/tmp}/mkinitramfs-FW_XXXXXX")" || exit 1 DPKG_ARCH=$(dpkg --print-architecture) # Export environment for hook scripts. # export MODULESDIR export version export CONFDIR export DESTDIR export DPKG_ARCH export verbose export KEYMAP export MODULES export BUSYBOX export RESUME # Private, used by 'catenate_cpiogz'. export __TMPCPIOGZ # Private, used by 'prepend_earlyinitramfs'. export __TMPEARLYCPIO # Create usr-merged filesystem layout, to avoid duplicates if the host # filesystem is usr-merged. for d in /bin /lib* /sbin; do mkdir -p "${DESTDIR}/usr${d}" ln -s "usr${d}" "${DESTDIR}${d}" done for d in conf/conf.d etc run scripts ${MODULESDIR}; do mkdir -p "${DESTDIR}/${d}" done # Copy in modules.builtin and modules.order (not generated by depmod) for x in modules.builtin modules.order; do if [ -f "${MODULESDIR}/${x}" ]; then cp -p "${MODULESDIR}/${x}" "${DESTDIR}${MODULESDIR}/${x}" fi done # MODULES=list case. Always honour. for x in "${CONFDIR}/modules" /usr/share/initramfs-tools/modules.d/*; do if [ -f "${x}" ]; then add_modules_from_file "${x}" fi done # MODULES=most is default case "${MODULES}" in dep) dep_add_modules ;; most) auto_add_modules ;; netboot) auto_add_modules base auto_add_modules net ;; list) # nothing to add ;; *) echo "W: mkinitramfs: unsupported MODULES setting: ${MODULES}." >&2 echo "W: mkinitramfs: Falling back to MODULES=most." >&2 auto_add_modules ;; esac # Resolve hidden dependencies hidden_dep_add_modules # First file executed by linux cp -p /usr/share/initramfs-tools/init "${DESTDIR}/init" # add existant boot scripts for b in $(cd /usr/share/initramfs-tools/scripts/ && find . \ -regextype posix-extended -regex '.*/[[:alnum:]\._-]+$' -type f); do [ -d "${DESTDIR}/scripts/$(dirname "${b}")" ] \ || mkdir -p "${DESTDIR}/scripts/$(dirname "${b}")" cp -p "/usr/share/initramfs-tools/scripts/${b}" \ "${DESTDIR}/scripts/$(dirname "${b}")/" done # Prune dot-files/directories and limit depth to exclude VCS files for b in $(cd "${CONFDIR}/scripts" && find . -maxdepth 2 -name '.?*' -prune -o \ -regextype posix-extended -regex '.*/[[:alnum:]\._-]+$' -type f -print); do [ -d "${DESTDIR}/scripts/$(dirname "${b}")" ] \ || mkdir -p "${DESTDIR}/scripts/$(dirname "${b}")" cp -p "${CONFDIR}/scripts/${b}" "${DESTDIR}/scripts/$(dirname "${b}")/" done echo "DPKG_ARCH=${DPKG_ARCH}" > "${DESTDIR}/conf/arch.conf" cp -p "${CONFDIR}/initramfs.conf" "${DESTDIR}/conf" for i in ${EXTRA_CONF}; do copy_file config "${i}" /conf/conf.d done # ROOT hardcoding if [ -n "${ROOT:-}" ]; then echo "ROOT=${ROOT}" > "${DESTDIR}/conf/conf.d/root" fi if ! command -v ldd >/dev/null 2>&1 ; then echo "E: no ldd around - install libc-bin" >&2 exit 1 fi # fstab and mtab touch "${DESTDIR}/etc/fstab" ln -s /proc/mounts "${DESTDIR}/etc/mtab" # module-init-tools copy_exec /sbin/modprobe /sbin copy_exec /sbin/rmmod /sbin mkdir -p "${DESTDIR}/etc/modprobe.d" "${DESTDIR}/lib/modprobe.d" for file in /etc/modprobe.d/*.conf /lib/modprobe.d/*.conf ; do if test -e "$file" || test -L "$file" ; then copy_file config "$file" fi done # workaround: libgcc always needed on old-abi arm if [ "$DPKG_ARCH" = arm ] || [ "$DPKG_ARCH" = armeb ]; then cp -a /lib/libgcc_s.so.1 "${DESTDIR}/lib/" fi run_scripts /usr/share/initramfs-tools/hooks run_scripts "${CONFDIR}"/hooks # Avoid double sleep when using older udev scripts # shellcheck disable=SC2016 sed -i 's/^\s*sleep \$ROOTDELAY$/:/' "${DESTDIR}/scripts/init-top/udev" # cache boot run order for b in $(cd "${DESTDIR}/scripts" && find . -mindepth 1 -type d); do cache_run_scripts "${DESTDIR}" "/scripts/${b#./}" done # generate module deps depmod -a -b "${DESTDIR}" "${version}" rm -f "${DESTDIR}/lib/modules/${version}"/modules.*map # make sure that library search path is up to date cp -ar /etc/ld.so.conf* "$DESTDIR"/etc/ if ! ldconfig -r "$DESTDIR" ; then [ "$(id -u)" != "0" ] \ && echo "ldconfig might need uid=0 (root) for chroot()" >&2 fi # The auxiliary cache is not reproducible and is always invalid at boot # (see #845034) if [ -d "${DESTDIR}"/var/cache/ldconfig ]; then rm -f "${DESTDIR}"/var/cache/ldconfig/aux-cache rmdir --ignore-fail-on-non-empty "${DESTDIR}"/var/cache/ldconfig fi # Apply DSDT to initramfs if [ -e "${CONFDIR}/DSDT.aml" ]; then copy_file DSDT "${CONFDIR}/DSDT.aml" fi # Make sure there is a final sh in initramfs if [ ! -e "${DESTDIR}/bin/sh" ]; then copy_exec /bin/sh "${DESTDIR}/bin/" fi # dirty hack for armhf's double-linker situation; if we have one of # the two known eglibc linkers, nuke both and re-create sanity if [ "$DPKG_ARCH" = armhf ]; then if [ -e "${DESTDIR}/lib/arm-linux-gnueabihf/ld-linux.so.3" ] || \ [ -e "${DESTDIR}/lib/ld-linux-armhf.so.3" ]; then rm -f "${DESTDIR}/lib/arm-linux-gnueabihf/ld-linux.so.3" rm -f "${DESTDIR}/lib/ld-linux-armhf.so.3" cp -aL /lib/ld-linux-armhf.so.3 "${DESTDIR}/lib/" ln -sf /lib/ld-linux-armhf.so.3 "${DESTDIR}/lib/arm-linux-gnueabihf/ld-linux.so.3" fi fi [ "${verbose}" = y ] && echo "Building cpio ${outfile} initramfs" if [ -s "${__TMPEARLYCPIO}" ]; then cat "${__TMPEARLYCPIO}" >"${outfile}" || exit 1 else # truncate true > "${outfile}" fi ( # preserve permissions if root builds the image, see #633582 [ "$(id -ru)" != 0 ] && cpio_owner_root="-R 0:0" # if SOURCE_DATE_EPOCH is set, try and create a reproducible image if [ -n "${SOURCE_DATE_EPOCH}" ]; then # ensure that no timestamps are newer than $SOURCE_DATE_EPOCH find "${DESTDIR}" -newermt "@${SOURCE_DATE_EPOCH}" -print0 | \ xargs -0r touch --no-dereference --date="@${SOURCE_DATE_EPOCH}" # --reproducible requires cpio >= 2.12 cpio_reproducible="--reproducible" fi # work around lack of "set -o pipefail" for the following pipe: # cd "${DESTDIR}" && find . | LC_ALL=C sort | cpio --quiet $cpio_owner_root $cpio_reproducible -o -H newc | gzip >>"${outfile}" || exit 1 ec1=1 ec2=1 ec3=1 exec 3>&1 eval "$( # http://cfaj.freeshell.org/shell/cus-faq-2.html exec 4>&1 >&3 3>&- cd "${DESTDIR}" { find . 4>&-; echo "ec1=$?;" >&4 } | { LC_ALL=C sort } | { # shellcheck disable=SC2086 cpio --quiet $cpio_owner_root $cpio_reproducible -o -H newc 4>&-; echo "ec2=$?;" >&4 } | ${compress} >>"${outfile}" echo "ec3=$?;" >&4 )" if [ "$ec1" -ne 0 ]; then echo "E: mkinitramfs failure find $ec1 cpio $ec2 $compress $ec3" >&2 exit "$ec1" fi if [ "$ec2" -ne 0 ]; then echo "E: mkinitramfs failure cpio $ec2 $compress $ec3" >&2 exit "$ec2" fi if [ "$ec3" -ne 0 ]; then echo "E: mkinitramfs failure $compress $ec3" >&2 exit "$ec3" fi ) || exit 1 if [ -s "${__TMPCPIOGZ}" ]; then cat "${__TMPCPIOGZ}" >>"${outfile}" || exit 1 fi exit 0
Close